﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace Hide_Column_Dynamicaly
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        private ObservableCollection<Person> persons = new ObservableCollection<Person>();
        public MainWindow()
        {
            InitializeComponent();
            persons.Add(new Person() { Name = "Stamat", Age = 20, Height = 1.55 });
            persons.Add(new Person() { Name = "Gosho", Age = 21, Height = 1.65 });
            persons.Add(new Person() { Name = "Pesho", Age = 22, Height = 1.92 });

            this.grid.DataSource = persons;
        }

        private void CheckBox_Checked(object sender, RoutedEventArgs e)
        {
            checkbox.Content = "Visible";           
            this.grid.FieldLayouts[0].Fields["Height"].Visibility = Visibility.Collapsed;
        }

        private void CheckBox_Unchecked(object sender, RoutedEventArgs e)
        {
            checkbox.Content = "Invisible";
            this.grid.FieldLayouts[0].Fields["Height"].Visibility = Visibility.Visible;
        }
    }
    public class Person
    {
        private string _name;
        private int _age;
        private double _height;

        public string Name
        {
            get { return _name; }
            set
            {
                _name = value;
            }
        }

        public int Age
        {
            get { return _age; }
            set
            {
                _age = value;
            }
        }
        public double Height
        {
            get { return _height; }
            set
            {
                _height = value;               
            }
        }
        
    }
}
